CQL3Type.Raw (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.cql3

## Class CQL3Type.Raw

- java.lang.Object
- - org.apache.cassandra.cql3.CQL3Type.Raw

- Enclosing interface:
    CQL3Type

      public abstract static class CQL3Type.Raw
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `frozen`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CQL3Type.Raw()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `CQL3Type.Raw` | `freeze()`
    `static CQL3Type.Raw` | `from(CQL3Type type)`
    `static CQL3Type.Raw` | `frozen(CQL3Type.Raw t)`
    `boolean` | `isCollection()`
    `boolean` | `isCounter()`
    `static CQL3Type.Raw` | `list(CQL3Type.Raw t)`
    `static CQL3Type.Raw` | `map(CQL3Type.Raw t1, CQL3Type.Raw t2)`
    `abstract CQL3Type` | `prepare(java.lang.String keyspace)`
    `static CQL3Type.Raw` | `set(CQL3Type.Raw t)`
    `static CQL3Type.Raw` | `tuple(java.util.List<CQL3Type.Raw> ts)`
    `static CQL3Type.Raw` | `userType(UTName name)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### frozen

          protected boolean frozen

  - ### Constructor Detail

    - #### CQL3Type.Raw

          public CQL3Type.Raw()

  - ### Method Detail

    - #### isCollection

          public boolean isCollection()

    - #### isCounter

          public boolean isCounter()

    - #### freeze

          public CQL3Type.Raw freeze()

    - #### prepare

          public abstract CQL3Type prepare(java.lang.String keyspace)
                                    throws InvalidRequestException

      Throws:
        `InvalidRequestException`

    - #### from

          public static CQL3Type.Raw from(CQL3Type type)

    - #### userType

          public static CQL3Type.Raw userType(UTName name)

    - #### map

          public static CQL3Type.Raw map(CQL3Type.Raw t1,
                         CQL3Type.Raw t2)
                                  throws InvalidRequestException

      Throws:
        `InvalidRequestException`

    - #### list

          public static CQL3Type.Raw list(CQL3Type.Raw t)
                                   throws InvalidRequestException

      Throws:
        `InvalidRequestException`

    - #### set

          public static CQL3Type.Raw set(CQL3Type.Raw t)
                                  throws InvalidRequestException

      Throws:
        `InvalidRequestException`

    - #### tuple

          public static CQL3Type.Raw tuple(java.util.List<CQL3Type.Raw> ts)
                                    throws InvalidRequestException

      Throws:
        `InvalidRequestException`

    - #### frozen

          public static CQL3Type.Raw frozen(CQL3Type.Raw t)
                                     throws InvalidRequestException

      Throws:
        `InvalidRequestException`

Copyright © 2014 The Apache Software Foundation